classification
Title: Install PowerShell activation scripts for venv for all platforms
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, miss-islington, vinay.sajip
Priority: low Keywords: patch

Created on 2018-01-30 00:54 by brett.cannon, last changed 2018-09-21 22:37 by brett.cannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 9321 merged brett.cannon, 2018-09-14 21:27
Messages (4)
msg311206 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2018-01-30 00:54
Thanks to https://github.com/PowerShell/PowerShell, PowerShell Core is cross-platform. That suggests that the Activate.ps1 file for venv should be moved to the common/ directory instead of existing only in the nt/ directory.
msg319108 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2018-06-08 21:15
Looks like there is some PowerShell Core compatibility issues to work through first. Primarily the prompt seems the venv prompt additions show up twice but then disappear if you arrow up. There is also an issue of path separators needing to be updated appropriately according to the OS.
msg319677 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2018-06-15 21:48
The prompt issues I was having are fixed in PowerShell 6.1.0-preview3, so as soon at 6.1.0 reaches final I will start working on this again.
msg326051 - (view) Author: miss-islington (miss-islington) Date: 2018-09-21 22:27
New changeset d64ee1a5ba2007ae5fe085dd3495013d940a51bb by Miss Islington (bot) (Brett Cannon) in branch 'master':
bpo-32718: Make Activate.ps1 for venv cross-platform and available on all platforms (GH-9321)
https://github.com/python/cpython/commit/d64ee1a5ba2007ae5fe085dd3495013d940a51bb
History
Date User Action Args
2018-09-21 22:37:49brett.cannonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-09-21 22:27:31miss-islingtonsetnosy: + miss-islington
messages: + msg326051
2018-09-14 21:27:30brett.cannonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request8746
2018-06-15 21:48:50brett.cannonsetmessages: + msg319677
2018-06-08 21:15:44brett.cannonsetmessages: + msg319108
2018-04-27 22:50:06brett.cannonsetassignee: brett.cannon
2018-01-30 00:54:56brett.cannoncreate